Summary:	Abstraction layer for providing audio and video RTP Services
Name:		psimedia
Version:	1.0.3
License:	GPLv2+
Group:		Networking/Instant messaging 
Release:	%mkrel 12
Source:		http://delta.affinix.com/download/psimedia/%{name}-%{version}.tar.bz2
Patch0:		psimedia-1.0.3-fedora-remove-v4l.patch
Patch1: 	psimedia-1.0.3-gentoo-drop-v4lsrc-gst-plugin.patch
Patch2:		psimedia-1.0.3-fix-build-with-new-glib.patch
URL:		http://delta.affinix.com/psimedia/
BuildRequires:	qt4-devel
BuildRequires:	libgstreamer-plugins-base-devel
BuildRequires:	liboil-devel
BuildRequires:	speex-devel

%description
PsiMedia is a thick abstraction layer for providing audio and
video RTP services to Psi-like IM clients.  The implementation is based on
GStreamer

%package -n psi-plugin-media
Summary:	Audio and Video plugin for Psi
Group:		Networking/Instant messaging
# Needed since it's not part of gstreamer0.10-plugins-good
Requires:	gstreamer0.10-speex
Requires:	gstreamer0.10-plugins-good

%description -n psi-plugin-media
This plugin provides audio and video RTP services to PSI.

This implementation is based on GStreamer.

%files -n psi-plugin-media
%defattr(-,root,root,-)
%doc COPYING README TODO
%{_libdir}/psi/plugins/libgstprovider.so

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1 -b .glibfix

%build
./configure
%make

%install
# We only need libgstprovider.so in order to enable audio RTP Services for psi
install -Dpm 0644 gstprovider/libgstprovider.so  %{buildroot}/%{_libdir}/psi/plugins/libgstprovider.so


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.0.3-12.mga4
+ Revision: 517705
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.3-11.mga3
+ Revision: 378281
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 wally <wally> 1.0.3-10.mga3
+ Revision: 335004
- add patch to fix build with new glib
- clean .spec a bit

* Wed Apr 27 2011 mikala <mikala> 1.0.3-9.mga1
+ Revision: 91893
- Add patch0 from fedora (remove support for V4L)
  Add patch1 from gentoo (Fix crash due to dropped gst-plugins-v4l)

* Tue Feb 15 2011 mikala <mikala> 1.0.3-8.mga1
+ Revision: 51880
- Remove BuildRoot
- imported package psimedia


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-8mdv2011.0
+ Revision: 614623
- the mass rebuild of 2010.1 packages

* Mon Feb 01 2010 John Balcaen <mikala@mandriva.org> 1.0.3-7mdv2010.1
+ Revision: 498965
- Rebuild for new gstreamer

* Sat Aug 22 2009 John Balcaen <mikala@mandriva.org> 1.0.3-6mdv2010.0
+ Revision: 419443
- Fix Requires (typo in gst-plugins-good)
- Add Requires for gst0.10-plugins-good.

* Sat Aug 22 2009 John Balcaen <mikala@mandriva.org> 1.0.3-5mdv2010.0
+ Revision: 419429
- Increase release
- Removed qca2-openssl requires (moved to psi package)
  clean spec

* Tue Aug 04 2009 John Balcaen <mikala@mandriva.org> 1.0.3-4mdv2010.0
+ Revision: 408653
- Fix Requires (gst0.10 speex not part of gst-plugins-good)

  + Michael Scherer <misc@mandriva.org>
    - fix previous requires
    - remove requires on psi, as this is uneeded, it should be the other way, asked
      by neoclust

* Mon Aug 03 2009 Michael Scherer <misc@mandriva.org> 1.0.3-2mdv2010.0
+ Revision: 408541
- add missing requires to avoid error message about hmac

* Sun Jun 21 2009 John Balcaen <mikala@mandriva.org> 1.0.3-1mdv2010.0
+ Revision: 387947
- import psimedia


* Sun Jun 14 2009 John Balcaen <mikala@mandriva.org> 1.0.3-1mdv2010.0
- import psimedia
